// Array zu Speicherung der Frequenzen der Tonleiter
float frequencies[] = {164.814,174.614,184.997,195.998,207.652,220.000,233.082,246.942,261.626,277.183,293.665,311.127,329.628,349.228,369.994,391.995,415.305,440.000,466.164,493.883,523.251,554.365,587.330,622.254,659.255,698.456,739.989,783.991,830.609,880.000,932.328,987.767,1046.50,1108.73,1174.66,1244.51,1318.51,1396.91,1479.98,1567.98,1661.22,1760.00,1864.66,1975.53};

// angelehnt an Gitarrensaiten die jeweilige Stelle im Array
float* E = &frequencies[0];
float* A = &frequencies[5];
float* D = &frequencies[10];
float* G = &frequencies[15];
float* B = &frequencies[19];
float* e = &frequencies[24];
float zero = 0;
float* n = &zero;


int voicePin = 2;     // Pin zur Kommunikation mit der ersten Stimme
int bassBeatPin = 3;  // Pin zur Mitteilung des Taktes von der ersten Stimme
int piezoPin = 5;     // Pin mit dem Piezo


float* notes[8] =  {e-8, e-7, B-5, e-8};  // Noten der zweiten Stimme
int toneSwitchSignal = LOW;               // Variable zur Speicherung des zuletzt gelesenen Wertes des Takt-Pins
int counter = 0;                          // Zaehler der aktuellen Stelle im notes-Array

void setup() {
  Serial.begin(9600);
  pinMode(voicePin, INPUT);
  pinMode(bassBeatPin, INPUT);
  pinMode(piezoPin, OUTPUT);
}

void loop() {
  if(digitalRead(2) == HIGH){                 // Signal von der ersten Stimme: Spiele Song
    Serial.println(counter);
    if(digitalRead(3) != toneSwitchSignal){
      toneSwitchSignal = digitalRead(3);
      counter = (counter+1)%4;
    }
    tone(5, *notes[counter]);
  } else {                                    // Signal von der ersten Stimme: Stoppe Song
    noTone(5);
    counter = 0;
  }
 
}
